# ERC721 Functions

## Mint Functions

Functions used to mint NFTs.

<details>

<summary>mintBase</summary>

*Mints a token **without** an extension. Token URI can also be specified as a parameter to set the token URI upon mint.*

***Permissions:** Owner/Admin function callable by contract owner only.*

```solidity
function mintBase(address to) returns (uint256)

function mintBase(address to, string calldata uri)  returns (uint256)
```

</details>

<details>

<summary>mintBaseBatch</summary>

*Batch mints tokens without an extension and sets the token URIs. Token URI can also be specified as a parameter to set the token URI upon mint.*

***Permissions:** Owner/Admin function callable by contract owner only.*

```solidity
function mintBaseBatch(address to, uint16 count) returns (uint256[] memory)

function mintBaseBatch(address to, string[] calldata uris) returns (uint256[] memory)
```

</details>

<details>

<summary>tokenData</summary>

Any tokenData associated with a token

Currently, this can only be set by an extension on mint. If you wish to set additional token data, you can inherit the ERC721Creator contract and add functions to set it yourself.

**Permissions:** Public

```solidity
function tokenData(uint256 tokenId) view returns (uint80)
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/manifold-for-developers/smart-contracts/manifold-creator/contracts/creator-core/erc721-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
